KORG app Help Center

Can I use this with an iPod touch?

Yes.

iKaossilator v3 is compatible with iOS 7 or later. It works on iPod touch 5th generation or later.

We no longer support iOS 6 or earlier. If you a user of iPod iPod touch 3rd or 4th generation, you can download only iKaossilator v2.

Was this article helpful?
0 out of 0 found this helpful

Comments

  • Avatar
    Kevin Crowley

    I love ikaossilator running on my iPod touch 5th gen, and would like to also run it on my 3rd and 4th gen iPods running iOS 5 and iOS 6 respectively. How can I get the earlier versions of iKaossilator? When I try and install from iTunes, I'm told that the app cannot be installed because it is not compatible with the iPod firmware.

  • Avatar
    Kevin Crowley

    I just discovered you can download previous versions if you sign in to the app store directly on your iPod and go to 'purchased Apps'. 3-way iKaossilator chaos, here I come!

Please sign in to leave a comment.